Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# LRotationd Class Reference

This is a unit quaternion representing a rotation. More...

Inheritance diagram for LRotationd:

List of all members.

## Public Member Functions
| LRotationd ()
| LRotationd (Mat3D const )
| lmatrix3
| LRotationd (QuatD const )
| LRotationd (double, double, double, double)
| LRotationd (VBase4D const copy)
| LRotationd (Mat4D const )
| lmatrix4
| LRotationd (double, double, double)
| Sets the rotation from the given Euler angles.
| LRotationd (Vec3D const , double)
| axis + angle (in degrees)
LRotationd | operator* (LRotationd const other)
| Rotation * Rotation = Rotation.
LRotationd | operator* (double scalar)
QuatD | operator* (QuatD const other)
| Rotation * Orientation = Orientation This is another meaningless operation, attempting to apply an orientation to a rotation.
LRotationd | operator/ (double scalar)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is a unit quaternion representing a rotation.

## Constructor & Destructor Documentation

LRotationd | ( |  | ) |

LRotationd | ( | Mat3D | const | ) |

lmatrix3

LRotationd | ( | Mat4D | const | ) |

lmatrix4

LRotationd | ( | QuatD | const | ) |

LRotationd | ( | VBase4D const | copy | ) |

LRotationd | ( | Vec3D | const,
|  | double |
| ) |  |

axis + angle (in degrees)

LRotationd | ( | double | ,
|  | double | ,
|  | double |
| ) |  |

Sets the rotation from the given Euler angles.

LRotationd | ( | double | ,
|  | double | ,
|  | double | ,
|  | double |
| ) |  |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from QuatD.

LRotationd operator* | ( | LRotationd const | other | ) |

Rotation * Rotation = Rotation.

QuatD operator* | ( | QuatD const | other | ) |

Rotation * Orientation = Orientation This is another meaningless operation, attempting to apply an orientation to a rotation.

Reimplemented from QuatD.

LRotationd operator* | ( | double | scalar | ) |

Reimplemented from QuatD.

LRotationd operator/ | ( | double | scalar | ) |

Reimplemented from QuatD.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties